#include "SysTypes.r"
#include "Types.r"

#if (PowerPCNativeBuild==true)
	#include "CodeFragmentTypes.r"
	
	resource 'cfrg' (0, sysheap, locked) {
		{	/* array memberArray: 1 elements */
			/* [1] */
			kPowerPC,
			kFullLib,
			kNoVersionNum,
			kNoVersionNum,
			appStackSize,
			appSubFolderID,
			kIsApp,
			kOnDiskFlat,
			kZeroOffset,
			kWholeFork,
			"PPCModelessSample"
		}
	};
#endif

resource 'DLOG' (200) {
	{77, 49, 229, 410},
	documentProc,
	visible,
	goAway,
	0x0,
	200,
	"Modeless dialog"
};

resource 'DITL' (200) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{118, 235, 137, 316},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{118, 55, 137, 136},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{20, 224, 38, 352},
		CheckBox {
			enabled,
			"Enable edit line"
		},
		/* [4] */
		{20, 17, 89, 205},
		EditText {
			enabled,
			"Edit Text"
		},
		/* [5] */
		{11, 10, 97, 214},
		UserItem {
			disabled
		},
		/* [6] */
		{109, 218, 145, 331},
		UserItem {
			disabled
		}
	}
};

resource 'DITL' (128) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{139, 187, 159, 245},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{13, 13, 118, 252},
		StaticText {
			disabled,
			"ModelessSample:\n\nA bare bones app showin"
			"g how to implement Modeless dialogs.\n\nNi"
			"tin Ganatra, 2/94"
		}
	}
};

resource 'ALRT' (128) {
	{68, 64, 250, 336},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'MBAR' (128, "App Menu") {
	{	/* array MenuArray: 3 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	getFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	notHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	useTextEditServices,
	reserved,
	reserved,
	reserved,
	100000,
	100000
};

resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About SampleApp", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 2 elements */
		/* [1] */
		"New Modeless Dialog", noIcon, "N", noMark, plain,
		/* [2] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, preload) {
	130,
	textMenuProc,
	0x60,
	enabled,
	"Edit",
	{	/* array: 4 elements */
		/* [1] */
		"Cut", noIcon, "X", noMark, plain,
		/* [2] */
		"Copy", noIcon, "C", noMark, plain,
		/* [3] */
		"Paste", noIcon, "V", noMark, plain,
		/* [4] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

